Name: TEItools
Version: 1.0.20030922
Release: alt1
License: GPL
Group: Text tools
Url: http://xtalk.msk.su/SGML/TEItools/

Source: TEItools.tar.gz
Source1: TEItools.csh
Source2: TEItools.sh

Summary: TEItools (utities for TEI lite SGML)
Summary(ru_RU.KOI8-R): TEItools (  TEI lite SGML)

# Automatically added by buildreq on Wed Aug 21 2002
BuildRequires: XFree86-devel gcc3.2 xpm-devel

Requires: tcl-cost

%description
TEItools is utilities to work with files in TEI lite SGML.

%description -l ru_RU.KOI8-R
TEItools --        
TEI lite SGML     .

%prep
%setup -n TEItools

%build
cd src
export CFLAGS="%optflags"
%__make -f Makefile.Linux install

%install
%__mkdir -p %buildroot%_libdir
OLDPWD=`pwd`
cd %buildroot%_libdir/
tar zxf %SOURCE0
cd $OLDPWD
#cp -R * %buildroot%_libdir/TEItools

%__mkdir -p %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.html %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.jpeg %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.tei %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.eps %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.gif %buildroot%_docdir/TEItools/html
%__install -m 644 docs/*.tiff %buildroot%_docdir/TEItools/html
%__install -m 644 docs/NOTES %buildroot%_docdir/TEItools
%__install -m 644 ChangeLog %buildroot%_docdir/TEItools

%__rm -rf %buildroot%_libdir/TEItools/src
%__rm -rf %buildroot%_libdir/TEItools/misc
%__rm -rf %buildroot%_libdir/TEItools/docs
%__rm -rf %buildroot%_libdir/TEItools/cgi-bin
%__rm -f %buildroot%_libdir/TEItools/ChangeLog

%__mkdir -p %buildroot/etc/profile.d
%__install -m 755 %SOURCE1 %buildroot/etc/profile.d
%__install -m 755 %SOURCE2 %buildroot/etc/profile.d

%files
%doc %_docdir/TEItools
%_libdir/TEItools/*
/etc/profile.d/*

%changelog
* Mon Sep 22 2003 Ott Alex <ott@altlinux.ru> 1.0.20030922-alt1
- New snapshot

* Sat Mar 22 2003 Ott Alex <ott@altlinux.ru> 1.0.20021211-alt1
- fixing startup file and new version

* Sat Feb 08 2003 Ott Alex <ott@altlinux.ru> 1.0.20021014-alt4
- Fixing spec

* Sat Oct 19 2002 Ott Alex <ott@altlinux.ru> 1.0.20021014-alt1
- New release

* Mon Sep 16 2002 Ott Alex <ott@altlinux.ru> 1.0.20020731-alt3
- Fixing version number

* Fri Aug 23 2002 Ott Alex <ott@altlinux.ru> cvs20020731-alt2
- Cleaning spec-file

* Wed Aug 21 2002 Ott Alex <ott@altlinux.ru> cvs20020731-alt1
- Initial Build

